Wind River Support Network

HomeDefectsLIN5-2576
Fixed

LIN5-2576 : WRL5: "make export-sdk" does not work on RCPL8, "Can't install perl-nativesdk-5.14.2-r9.3@x86_64_nativesdk"

Created: Nov 6, 2013    Updated: Dec 19, 2017
Resolved Date: Nov 21, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.10
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

This problem makes RCPL.8 unusable to Customer.

At building the SDK, during population it stops complaining about:
"Computing transaction...error: Can't install
perl-nativesdk-5.14.2-r9.3@x86_64_nativesdk: no package provides
perl-module-config-nativesdk"

Using rcpl8 and building the 'ovp-kvm' image "make export-sdk" does not work.
The customer have their own image recipe that triggers this as well.
'ovp-kvm' is used here as an easy way to show to problem.
I do not think this relates to OVP. The 'ovp-kvm' is just an image
that happens to trigger this. I'm _guessing_ other images can have the
same problems.

The openssl problem as reported in other case(s) is also showing here,
but the workaround is applied and this case is ALL about the problem
arising after that.
I.e. this case is _not_ about the openssl.inc fix.

Related cases:

* WIND00427031: openssl.
Also shows here. WIND00427031 is reported on rcpl6, but as seen here
it also effects rcpl8.

* WIND00441698: rcpl8 export-sdk problems
Previously reported case about this use-case. It was unfortunately
marked as a duplicate of WIND00427031. But that case contained two
problems...
This new case is created for the showstopping part that got "lost".

Workaround

_None_. I've not managed to figure out how / why this happens, so it
is really showstopper.

Steps to Reproduce

$ .../configure --enable-board=intel-xeon-core --enable-rootfs=ovp-kvm
--enable-addons=wr-ovp --enable-jobs=8 --enable-parallel-pkgbuilds=4
--with-sstate-dir=.../sstate_rcpl8 --with-rcpl-version=0008
$ < fix openssl.inc and CA.pl problem (just hardcode to "/usr/bin/env
perl" for example) >
$ make export-sdk
$
...
... building all packages up to final populate_sdk stage.
...
| Computing transaction...error: Can't install
perl-nativesdk-5.14.2-r9.3@x86_64_nativesdk: no package provides
perl-module-config-nativesdk
...

Other Downloads


Live chat
Online